searchData={"items":[{"type":"module","title":"TxtaiEx","doc":"","ref":"TxtaiEx.html"},{"type":"module","title":"TxtaiEx.Api","doc":"Base module for interfacing with a remote txtai service via REST API calls.","ref":"TxtaiEx.Api.html"},{"type":"function","title":"TxtaiEx.Api.get/3","doc":"Executes a GET request to the specified API method with optional query parameters.","ref":"TxtaiEx.Api.html#get/3"},{"type":"function","title":"Parameters - TxtaiEx.Api.get/3","doc":"- api: The API struct containing configuration for URL and token.\n- method: The API method to be called.\n- params: A map of query parameters for the GET request.","ref":"TxtaiEx.Api.html#get/3-parameters"},{"type":"function","title":"Returns - TxtaiEx.Api.get/3","doc":"- {:ok, response} on successful request, where `response` is the JSON-decoded response body.\n- {:error, reason} on failure, with `reason` detailing the error.","ref":"TxtaiEx.Api.html#get/3-returns"},{"type":"function","title":"TxtaiEx.Api.new/2","doc":"Initializes a new API struct with the given URL and token.","ref":"TxtaiEx.Api.html#new/2"},{"type":"function","title":"Parameters - TxtaiEx.Api.new/2","doc":"- url: The base URL of the txtai API.\n- token: The authentication token for the txtai API.","ref":"TxtaiEx.Api.html#new/2-parameters"},{"type":"function","title":"Returns - TxtaiEx.Api.new/2","doc":"- An %API{} struct populated with the base URL and token.","ref":"TxtaiEx.Api.html#new/2-returns"},{"type":"function","title":"TxtaiEx.Api.post/3","doc":"Executes a POST request to the specified API method with given parameters.","ref":"TxtaiEx.Api.html#post/3"},{"type":"function","title":"Parameters - TxtaiEx.Api.post/3","doc":"- api: The API struct containing configuration for URL and token.\n- method: The API method to be called.\n- params: A map or list representing the POST request body.","ref":"TxtaiEx.Api.html#post/3-parameters"},{"type":"function","title":"Returns - TxtaiEx.Api.post/3","doc":"- {:ok, response} on successful request, where `response` is the JSON-decoded response body.\n- {:error, reason} on failure, with `reason` detailing the error.","ref":"TxtaiEx.Api.html#post/3-returns"},{"type":"module","title":"TxtaiEx.Embeddings","doc":"Handles interactions with a remote txtai embeddings service, offering functionalities such as\nsearching for similar documents, adding documents for indexing, and more, via REST API calls.","ref":"TxtaiEx.Embeddings.html"},{"type":"function","title":"TxtaiEx.Embeddings.add/2","doc":"Adds a batch of documents for indexing in the embeddings model.","ref":"TxtaiEx.Embeddings.html#add/2"},{"type":"function","title":"Parameters - TxtaiEx.Embeddings.add/2","doc":"- api: Struct containing API configuration (URL and token).\n- documents: List of documents, where each is a map with `id` and `text` keys.","ref":"TxtaiEx.Embeddings.html#add/2-parameters"},{"type":"function","title":"Returns - TxtaiEx.Embeddings.add/2","doc":"- {:ok, response} on successful indexing.\n- {:error, reason} on failure.","ref":"TxtaiEx.Embeddings.html#add/2-returns"},{"type":"function","title":"TxtaiEx.Embeddings.batchsearch/5","doc":"Performs a batch search for queries, finding documents similar to each query.","ref":"TxtaiEx.Embeddings.html#batchsearch/5"},{"type":"function","title":"Parameters - TxtaiEx.Embeddings.batchsearch/5","doc":"- api: Struct containing API configuration (URL and token).\n- queries: List of text queries to search for similar documents.\n- limit: Maximum number of results per query (default: 10).\n- weights: (Optional) Hybrid score weights.\n- index: (Optional) Specific index name to search within.","ref":"TxtaiEx.Embeddings.html#batchsearch/5-parameters"},{"type":"function","title":"Returns - TxtaiEx.Embeddings.batchsearch/5","doc":"- {:ok, results} on success, with `results` being a list of results per query.\n- {:error, reason} on failure.","ref":"TxtaiEx.Embeddings.html#batchsearch/5-returns"},{"type":"function","title":"TxtaiEx.Embeddings.batchsimilarity/3","doc":"Computes similarity between a list of queries and a list of texts in batch.","ref":"TxtaiEx.Embeddings.html#batchsimilarity/3"},{"type":"function","title":"Parameters - TxtaiEx.Embeddings.batchsimilarity/3","doc":"- api: Struct containing API configuration (URL and token).\n- queries: A list of query texts.\n- texts: A list of texts to compare against each query.","ref":"TxtaiEx.Embeddings.html#batchsimilarity/3-parameters"},{"type":"function","title":"Returns - TxtaiEx.Embeddings.batchsimilarity/3","doc":"- {:ok, scores} on success, with `scores` being a list of results for each query.\n- {:error, reason} on failure.","ref":"TxtaiEx.Embeddings.html#batchsimilarity/3-returns"},{"type":"function","title":"TxtaiEx.Embeddings.batchtransform/2","doc":"Transforms a list of texts into embeddings representations in batch.","ref":"TxtaiEx.Embeddings.html#batchtransform/2"},{"type":"function","title":"Parameters - TxtaiEx.Embeddings.batchtransform/2","doc":"- api: Struct containing API configuration (URL and token).\n- texts: A list of texts to transform.","ref":"TxtaiEx.Embeddings.html#batchtransform/2-parameters"},{"type":"function","title":"Returns - TxtaiEx.Embeddings.batchtransform/2","doc":"- {:ok, embeddings} on success, where `embeddings` is a list of embeddings representations for each text.\n- {:error, reason} on failure.","ref":"TxtaiEx.Embeddings.html#batchtransform/2-returns"},{"type":"function","title":"TxtaiEx.Embeddings.count/1","doc":"Counts the total number of documents in the embeddings index.","ref":"TxtaiEx.Embeddings.html#count/1"},{"type":"function","title":"Parameters - TxtaiEx.Embeddings.count/1","doc":"- api: Struct containing API configuration (URL and token).","ref":"TxtaiEx.Embeddings.html#count/1-parameters"},{"type":"function","title":"Returns - TxtaiEx.Embeddings.count/1","doc":"- {:ok, count} with `count` being the total number of documents in the index.\n- {:error, reason} on failure.","ref":"TxtaiEx.Embeddings.html#count/1-returns"},{"type":"function","title":"TxtaiEx.Embeddings.delete/2","doc":"Deletes specified documents from the embeddings index.","ref":"TxtaiEx.Embeddings.html#delete/2"},{"type":"function","title":"Parameters - TxtaiEx.Embeddings.delete/2","doc":"- api: Struct containing API configuration (URL and token).\n- ids: List of document ids to delete.","ref":"TxtaiEx.Embeddings.html#delete/2-parameters"},{"type":"function","title":"Returns - TxtaiEx.Embeddings.delete/2","doc":"- {:ok, response} upon successful deletion.\n- {:error, reason} on failure.","ref":"TxtaiEx.Embeddings.html#delete/2-returns"},{"type":"function","title":"TxtaiEx.Embeddings.index/1","doc":"Triggers indexing of previously added documents.","ref":"TxtaiEx.Embeddings.html#index/1"},{"type":"function","title":"Parameters - TxtaiEx.Embeddings.index/1","doc":"- api: Struct containing API configuration (URL and token).","ref":"TxtaiEx.Embeddings.html#index/1-parameters"},{"type":"function","title":"Returns - TxtaiEx.Embeddings.index/1","doc":"- {:ok, response} upon successful triggering of the indexing process.\n- {:error, reason} on failure.","ref":"TxtaiEx.Embeddings.html#index/1-returns"},{"type":"function","title":"TxtaiEx.Embeddings.reindex/3","doc":"Recreates the embeddings index with new configuration settings.","ref":"TxtaiEx.Embeddings.html#reindex/3"},{"type":"function","title":"Parameters - TxtaiEx.Embeddings.reindex/3","doc":"- api: Struct containing API configuration (URL and token).\n- config: New configuration settings for the index.\n- func: (Optional) A function to prepare content for indexing.","ref":"TxtaiEx.Embeddings.html#reindex/3-parameters"},{"type":"function","title":"Returns - TxtaiEx.Embeddings.reindex/3","doc":"- {:ok, response} upon successful reindexing.\n- {:error, reason} on failure.","ref":"TxtaiEx.Embeddings.html#reindex/3-returns"},{"type":"function","title":"TxtaiEx.Embeddings.search/5","doc":"Searches for documents similar to the input query within the embeddings model.","ref":"TxtaiEx.Embeddings.html#search/5"},{"type":"function","title":"Parameters - TxtaiEx.Embeddings.search/5","doc":"- api: Struct containing API configuration (URL and token).\n- query: Text query to search for similar documents.\n- limit: Maximum number of results to return (default: 10).\n- weights: (Optional) Hybrid score weights for adjusting importance in scoring.\n- index: (Optional) Specific index name to search within.","ref":"TxtaiEx.Embeddings.html#search/5-parameters"},{"type":"function","title":"Returns - TxtaiEx.Embeddings.search/5","doc":"- {:ok, results} on success, with `results` being a list of documents sorted by similarity score.\n- {:error, reason} on failure.","ref":"TxtaiEx.Embeddings.html#search/5-returns"},{"type":"function","title":"TxtaiEx.Embeddings.similarity/3","doc":"Computes similarity between a query and a list of texts.","ref":"TxtaiEx.Embeddings.html#similarity/3"},{"type":"function","title":"Parameters - TxtaiEx.Embeddings.similarity/3","doc":"- api: Struct containing API configuration (URL and token).\n- query: The query text.\n- texts: A list of texts to compare against the query.","ref":"TxtaiEx.Embeddings.html#similarity/3-parameters"},{"type":"function","title":"Returns - TxtaiEx.Embeddings.similarity/3","doc":"- {:ok, scores} on success, where `scores` is a list of similarity scores.\n- {:error, reason} on failure.","ref":"TxtaiEx.Embeddings.html#similarity/3-returns"},{"type":"function","title":"TxtaiEx.Embeddings.transform/2","doc":"Transforms text into embeddings representation.","ref":"TxtaiEx.Embeddings.html#transform/2"},{"type":"function","title":"Parameters - TxtaiEx.Embeddings.transform/2","doc":"- api: Struct containing API configuration (URL and token).\n- text: The text to transform.","ref":"TxtaiEx.Embeddings.html#transform/2-parameters"},{"type":"function","title":"Returns - TxtaiEx.Embeddings.transform/2","doc":"- {:ok, embeddings} on success, where `embeddings` is the embeddings representation of the text.\n- {:error, reason} on failure.","ref":"TxtaiEx.Embeddings.html#transform/2-returns"},{"type":"function","title":"TxtaiEx.Embeddings.upsert/1","doc":"Updates or inserts documents into the embeddings index, depending on whether they exist.","ref":"TxtaiEx.Embeddings.html#upsert/1"},{"type":"function","title":"Parameters - TxtaiEx.Embeddings.upsert/1","doc":"- api: Struct containing API configuration (URL and token).","ref":"TxtaiEx.Embeddings.html#upsert/1-parameters"},{"type":"function","title":"Returns - TxtaiEx.Embeddings.upsert/1","doc":"- {:ok, response} upon successful upsert operation.\n- {:error, reason} on failure.","ref":"TxtaiEx.Embeddings.html#upsert/1-returns"},{"type":"module","title":"TxtaiEx.Extractor","doc":"txtai extractor instance for interfacing with a remote txtai service via REST API calls,\nproviding functionality for extracting answers to input questions.","ref":"TxtaiEx.Extractor.html"},{"type":"function","title":"TxtaiEx.Extractor.extract/3","doc":"Extracts answers to input questions from provided texts.","ref":"TxtaiEx.Extractor.html#extract/3"},{"type":"function","title":"Parameters - TxtaiEx.Extractor.extract/3","doc":"- api: The API struct containing configuration for URL and token.\n- queue: A list of maps, each representing a question to be answered. Each map should contain keys: `name`, `query`, `question`, and `snippet`.\n- texts: A list of texts from which the answers should be extracted.","ref":"TxtaiEx.Extractor.html#extract/3-parameters"},{"type":"function","title":"Returns - TxtaiEx.Extractor.extract/3","doc":"- {:ok, answers} on success, where `answers` is a list of maps with keys `name` and `answer`, corresponding to the input questions.\n- {:error, reason} on failure.","ref":"TxtaiEx.Extractor.html#extract/3-returns"},{"type":"module","title":"TxtaiEx.Labels","doc":"txtai labels instance for interfacing with a remote txtai service via REST API calls,\nproviding functionality for applying zero-shot classification to text.","ref":"TxtaiEx.Labels.html"},{"type":"function","title":"TxtaiEx.Labels.batchlabel/3","doc":"Applies zero-shot classification in batch mode to a list of texts using a provided list of labels.","ref":"TxtaiEx.Labels.html#batchlabel/3"},{"type":"function","title":"Parameters - TxtaiEx.Labels.batchlabel/3","doc":"- api: The API struct containing configuration for URL and token.\n- texts: A list of texts to classify.\n- labels: A list of labels for classification.","ref":"TxtaiEx.Labels.html#batchlabel/3-parameters"},{"type":"function","title":"Returns - TxtaiEx.Labels.batchlabel/3","doc":"- {:ok, batch_classifications} on success, where `batch_classifications` contains a list of classification results for each text.\n- {:error, reason} on failure.","ref":"TxtaiEx.Labels.html#batchlabel/3-returns"},{"type":"function","title":"TxtaiEx.Labels.label/3","doc":"Applies zero-shot classification to a given text using a provided list of labels.","ref":"TxtaiEx.Labels.html#label/3"},{"type":"function","title":"Parameters - TxtaiEx.Labels.label/3","doc":"- api: The API struct containing configuration for URL and token.\n- text: The text to classify.\n- labels: A list of labels for classification.","ref":"TxtaiEx.Labels.html#label/3-parameters"},{"type":"function","title":"Returns - TxtaiEx.Labels.label/3","doc":"- {:ok, classifications} on success, where `classifications` is a list of maps with keys `id` and `score`, sorted by highest score.\n- {:error, reason} on failure.","ref":"TxtaiEx.Labels.html#label/3-returns"},{"type":"module","title":"TxtaiEx.Segmentation","doc":"txtai segmentation instance for interfacing with a remote txtai service via REST API calls,\nproviding functionality for segmenting text into semantic units.","ref":"TxtaiEx.Segmentation.html"},{"type":"function","title":"TxtaiEx.Segmentation.batchsegment/2","doc":"Segments a list of texts into semantic units in batch.","ref":"TxtaiEx.Segmentation.html#batchsegment/2"},{"type":"function","title":"Parameters - TxtaiEx.Segmentation.batchsegment/2","doc":"- api: The API struct containing configuration for URL and token.\n- texts: A list of texts to be segmented.","ref":"TxtaiEx.Segmentation.html#batchsegment/2-parameters"},{"type":"function","title":"Returns - TxtaiEx.Segmentation.batchsegment/2","doc":"- {:ok, batch_segments} on success, where `batch_segments` is a list of lists, each containing segmented text units for each input text.\n- {:error, reason} on failure.","ref":"TxtaiEx.Segmentation.html#batchsegment/2-returns"},{"type":"function","title":"TxtaiEx.Segmentation.segment/2","doc":"Segments text into semantic units.","ref":"TxtaiEx.Segmentation.html#segment/2"},{"type":"function","title":"Parameters - TxtaiEx.Segmentation.segment/2","doc":"- api: The API struct containing configuration for URL and token.\n- text: The text to segment.","ref":"TxtaiEx.Segmentation.html#segment/2-parameters"},{"type":"function","title":"Returns - TxtaiEx.Segmentation.segment/2","doc":"- {:ok, segments} on success, where `segments` is a list of segmented text units.\n- {:error, reason} on failure.","ref":"TxtaiEx.Segmentation.html#segment/2-returns"},{"type":"module","title":"TxtaiEx.Similarity","doc":"txtai similarity instance for interfacing with a remote txtai service via REST API calls,\nproviding functionality for computing similarities between texts.","ref":"TxtaiEx.Similarity.html"},{"type":"function","title":"TxtaiEx.Similarity.batchsimilarity/3","doc":"Computes the similarity between a list of queries and a list of texts in batch.","ref":"TxtaiEx.Similarity.html#batchsimilarity/3"},{"type":"function","title":"Parameters - TxtaiEx.Similarity.batchsimilarity/3","doc":"- api: The API struct containing configuration for URL and token.\n- queries: A list of query texts.\n- texts: A list of texts to compare against each query for similarity.","ref":"TxtaiEx.Similarity.html#batchsimilarity/3-parameters"},{"type":"function","title":"Returns - TxtaiEx.Similarity.batchsimilarity/3","doc":"- {:ok, batch_similarity_scores} on success, with results for each query.\n- {:error, reason} on failure.","ref":"TxtaiEx.Similarity.html#batchsimilarity/3-returns"},{"type":"function","title":"TxtaiEx.Similarity.similarity/3","doc":"Computes the similarity between a query and a list of texts.","ref":"TxtaiEx.Similarity.html#similarity/3"},{"type":"function","title":"Parameters - TxtaiEx.Similarity.similarity/3","doc":"- api: The API struct containing configuration for URL and token.\n- query: The query text.\n- texts: A list of texts to compare against the query for similarity.","ref":"TxtaiEx.Similarity.html#similarity/3-parameters"},{"type":"function","title":"Returns - TxtaiEx.Similarity.similarity/3","doc":"- {:ok, similarity_scores} on success, where `similarity_scores` is a list of {id, score} tuples sorted by highest score.\n- {:error, reason} on failure.","ref":"TxtaiEx.Similarity.html#similarity/3-returns"},{"type":"module","title":"TxtaiEx.Summary","doc":"txtai summary instance for interfacing with a remote txtai service via REST API calls,\nproviding functionality for summarizing text.","ref":"TxtaiEx.Summary.html"},{"type":"function","title":"TxtaiEx.Summary.batchsummary/4","doc":"Summarizes a list of texts in batch.","ref":"TxtaiEx.Summary.html#batchsummary/4"},{"type":"function","title":"Parameters - TxtaiEx.Summary.batchsummary/4","doc":"- api: The API struct containing configuration for URL and token.\n- texts: A list of texts to summarize.\n- minlength: The minimum length of each summary (optional).\n- maxlength: The maximum length of each summary (optional).","ref":"TxtaiEx.Summary.html#batchsummary/4-parameters"},{"type":"function","title":"Returns - TxtaiEx.Summary.batchsummary/4","doc":"- {:ok, list_of_summary_texts} on success.\n- {:error, reason} on failure.","ref":"TxtaiEx.Summary.html#batchsummary/4-returns"},{"type":"function","title":"TxtaiEx.Summary.summary/4","doc":"Summarizes a single block of text.","ref":"TxtaiEx.Summary.html#summary/4"},{"type":"function","title":"Parameters - TxtaiEx.Summary.summary/4","doc":"- api: The API struct containing configuration for URL and token.\n- text: The text to summarize.\n- minlength: The minimum length of the summary (optional).\n- maxlength: The maximum length of the summary (optional).","ref":"TxtaiEx.Summary.html#summary/4-parameters"},{"type":"function","title":"Returns - TxtaiEx.Summary.summary/4","doc":"- {:ok, summary_text} on success.\n- {:error, reason} on failure.","ref":"TxtaiEx.Summary.html#summary/4-returns"},{"type":"module","title":"TxtaiEx.Textractor","doc":"txtai textractor instance for interfacing with a remote txtai service via REST API calls,\nproviding functionality for extracting text from files.","ref":"TxtaiEx.Textractor.html"},{"type":"function","title":"TxtaiEx.Textractor.batchtextract/2","doc":"Extracts text from a list of files in batch.","ref":"TxtaiEx.Textractor.html#batchtextract/2"},{"type":"function","title":"Parameters - TxtaiEx.Textractor.batchtextract/2","doc":"- api: The API struct containing configuration for URL and token.\n- files: A list of paths to files from which text is to be extracted.","ref":"TxtaiEx.Textractor.html#batchtextract/2-parameters"},{"type":"function","title":"Returns - TxtaiEx.Textractor.batchtextract/2","doc":"- {:ok, list_of_extracted_texts} on success, where `list_of_extracted_texts` contains the text extracted from each file.\n- {:error, reason} on failure.","ref":"TxtaiEx.Textractor.html#batchtextract/2-returns"},{"type":"function","title":"TxtaiEx.Textractor.textract/2","doc":"Extracts text from a single file.","ref":"TxtaiEx.Textractor.html#textract/2"},{"type":"function","title":"Parameters - TxtaiEx.Textractor.textract/2","doc":"- api: The API struct containing configuration for URL and token.\n- file: The path to the file from which text is to be extracted.","ref":"TxtaiEx.Textractor.html#textract/2-parameters"},{"type":"function","title":"Returns - TxtaiEx.Textractor.textract/2","doc":"- {:ok, extracted_text} on success, where `extracted_text` is the text extracted from the file.\n- {:error, reason} on failure.","ref":"TxtaiEx.Textractor.html#textract/2-returns"},{"type":"module","title":"TxtaiEx.Transcription","doc":"txtai transcription instance for interfacing with a remote txtai service via REST API calls,\nproviding functionality for transcribing audio files to text.","ref":"TxtaiEx.Transcription.html"},{"type":"function","title":"TxtaiEx.Transcription.batchtranscribe/2","doc":"Transcribes audio from a list of files to text in batch.","ref":"TxtaiEx.Transcription.html#batchtranscribe/2"},{"type":"function","title":"Parameters - TxtaiEx.Transcription.batchtranscribe/2","doc":"- api: The API struct containing configuration for URL and token.\n- files: A list of paths to audio files to be transcribed.","ref":"TxtaiEx.Transcription.html#batchtranscribe/2-parameters"},{"type":"function","title":"Returns - TxtaiEx.Transcription.batchtranscribe/2","doc":"- {:ok, transcriptions} on success, where `transcriptions` is a list of texts transcribed from each audio file.\n- {:error, reason} on failure.","ref":"TxtaiEx.Transcription.html#batchtranscribe/2-returns"},{"type":"function","title":"TxtaiEx.Transcription.transcribe/2","doc":"Transcribes audio from a single file to text.","ref":"TxtaiEx.Transcription.html#transcribe/2"},{"type":"function","title":"Parameters - TxtaiEx.Transcription.transcribe/2","doc":"- api: The API struct containing configuration for URL and token.\n- file: The path to the audio file to be transcribed.","ref":"TxtaiEx.Transcription.html#transcribe/2-parameters"},{"type":"function","title":"Returns - TxtaiEx.Transcription.transcribe/2","doc":"- {:ok, transcription} on success, where `transcription` is the text transcribed from the audio file.\n- {:error, reason} on failure.","ref":"TxtaiEx.Transcription.html#transcribe/2-returns"},{"type":"module","title":"TxtaiEx.Translation","doc":"txtai translation instance for interfacing with a remote txtai service via REST API calls,\nproviding functionality for translating text between languages.","ref":"TxtaiEx.Translation.html"},{"type":"function","title":"TxtaiEx.Translation.batchtranslate/4","doc":"Translates a list of texts from the source language to the target language in batch.","ref":"TxtaiEx.Translation.html#batchtranslate/4"},{"type":"function","title":"Parameters - TxtaiEx.Translation.batchtranslate/4","doc":"- api: The API struct containing configuration for URL and token.\n- texts: A list of texts to translate.\n- target: The target language code (defaults to \"en\").\n- source: The source language code (optional, auto-detects if not provided).","ref":"TxtaiEx.Translation.html#batchtranslate/4-parameters"},{"type":"function","title":"Returns - TxtaiEx.Translation.batchtranslate/4","doc":"- {:ok, list_of_translated_texts} on success.\n- {:error, reason} on failure.","ref":"TxtaiEx.Translation.html#batchtranslate/4-returns"},{"type":"function","title":"TxtaiEx.Translation.translate/4","doc":"Translates a single text from the source language to the target language.","ref":"TxtaiEx.Translation.html#translate/4"},{"type":"function","title":"Parameters - TxtaiEx.Translation.translate/4","doc":"- api: The API struct containing configuration for URL and token.\n- text: The text to translate.\n- target: The target language code (defaults to \"en\").\n- source: The source language code (optional, auto-detects if not provided).","ref":"TxtaiEx.Translation.html#translate/4-parameters"},{"type":"function","title":"Returns - TxtaiEx.Translation.translate/4","doc":"- {:ok, translated_text} on success.\n- {:error, reason} on failure.","ref":"TxtaiEx.Translation.html#translate/4-returns"},{"type":"module","title":"TxtaiEx.Workflow","doc":"txtai workflow instance for interfacing with a remote txtai service via REST API calls,\nproviding functionality for executing named workflows with specified elements.","ref":"TxtaiEx.Workflow.html"},{"type":"function","title":"TxtaiEx.Workflow.workflow/3","doc":"Executes a named workflow using elements as input.","ref":"TxtaiEx.Workflow.html#workflow/3"},{"type":"function","title":"Parameters - TxtaiEx.Workflow.workflow/3","doc":"- api: The API struct containing configuration for URL and token.\n- name: The name of the workflow to execute.\n- elements: A list of elements (e.g., texts, images) to process through the workflow.","ref":"TxtaiEx.Workflow.html#workflow/3-parameters"},{"type":"function","title":"Returns - TxtaiEx.Workflow.workflow/3","doc":"- {:ok, processed_elements} on success, where `processed_elements` is a list of elements processed by the workflow.\n- {:error, reason} on failure.","ref":"TxtaiEx.Workflow.html#workflow/3-returns"},{"type":"extras","title":"README","doc":"[![Hex Version](https://img.shields.io/hexpm/v/txtai_ex.svg)](https://hex.pm/packages/txtai_ex)\n\n# txtai_ex\n\n`txtai_ex` is an Elixir client library for [txtai](https://github.com/neuml/txtai), an AI-powered text search engine that enables building intelligent text-based applications in Elixir. With `txtai_ex`, you can seamlessly integrate natural language processing, embeddings search, and machine learning workflows into your Elixir projects.","ref":"readme.html"},{"type":"extras","title":"Features - README","doc":"- **Embeddings Search**: Perform semantic search operations to find the most relevant pieces of text that match a query.\n- **Text Summarization**: Automatically summarize long pieces of text.\n- **Text Translation**: Translate text from one language to another.\n- **Text Extraction**: Extract text from various file formats.\n- **Workflow Automation**: Execute named workflows to process data.","ref":"readme.html#features"},{"type":"extras","title":"Installation - README","doc":"To start using `txtai_ex`, add it to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:txtai_ex, \"~> 0.1.0\"}\n  ]\nend\n```\n\nThen, run `mix deps.get` to fetch the new dependency.","ref":"readme.html#installation"},{"type":"extras","title":"Usage - README","doc":"Here's a quick example to get you started with `txtai_ex`:\n\n```elixir\nalias TxtaiEx.{Api, Embeddings}\n\n# Initialize the API\napi = Api.new(\"http://localhost:8000\", \"YourAPIToken\")\n\n# Perform an embeddings search\nresults = Embeddings.search(api, \"Elixir\", 5)\nIO.inspect(results)\n```","ref":"readme.html#usage"},{"type":"extras","title":"Documentation - README","doc":"For detailed documentation on all features and functionalities, visit [txtai_ex documentation](https://hexdocs.pm/txtai_ex).","ref":"readme.html#documentation"},{"type":"extras","title":"Contributing - README","doc":"Contributions to `txtai_ex` are welcome and appreciated. If you're interested in contributing, please:\n\n1. Fork the repository.\n2. Create a new branch for your feature or fix.\n3. Commit your changes.\n4. Push to your fork and submit a pull request.\n\nBefore contributing, please check out our [contributing guidelines](CONTRIBUTING.md).","ref":"readme.html#contributing"},{"type":"extras","title":"Support - README","doc":"If you encounter any issues or have questions, please file an issue on the GitHub issue tracker.","ref":"readme.html#support"},{"type":"extras","title":"License - README","doc":"`txtai_ex` is released under the Apache 2.0 License. See the [LICENSE](LICENSE) file for more details.\n\n---","ref":"readme.html#license"}],"content_type":"text/markdown"}